Subject: [TR] Another Triumph loss

From: John Macartney <[email-masked]>
Date: Fri, 4 Feb 2022 21:12:57 +0000

I’m guessing that few, if any, on this list will recognise the name of David Gleed. Until he retired DAVE worked for Standard-Triumph and BL/MG Rover. He came to prominence when he worked in the Competitions Dept in Coventry and along with the late Ray Henderson and a few other unsung stalwarts, got to work on the rally cars under Ken Richardson and travelled several times as part of the Works Team at Le Mans and many of the European rallies. DAVE’s stories of starting and working on the Sabrina engined cars were legendary - and he had many. DAVE’s automotive love was his long door TR2 that got taken out and blasted around Coventry and district whenever the mood took him - which was often. His thoughts on MVC 575 being cosseted like a piece of Meissen porcelain were mostly very apt and hit the mark, though perhaps not printable.
I got to renew my friendship with Dave when I was organising event days for ST at BMIHT and I always knew he’d be the first to book space for his stand where he sold unobtanium. No one knew his sources and he’d never divulge them but if you found yourself really stuck for a vital NLS component, Dave was the man to ask. He’d find it, though there was always the chance he’d already got it stashed away in his storeroom and usually several more than just one. 
He died rather suddenly earlier this month at age 86 with his devoted wife and fellow stall worker Margaret at his side. The Triumph fraternity has lost a truly remarkable, kind, generous, caring, knowledgeable and incredibly funny man who was imho one of the true ‘Motor industry’ greats of the post war years. An unsung hero if ever there was one and although I’m eight years his junior, there’s no doubt in my mind that Triumph enthusiasts the world over have lost someone who was really special and truly one of a kind. Bless you my lovely funny friend. You won’t set your overalls sleeves on fire doing a cold start on a Sabrina engine now. God just won’t allow that to happen in that Competitions Dept on the other side.

Jonmac
** [email-masked] **

Donate: http://www.team.net/donate.html
Archive: http://www.team.net/pipermail/triumphs  http://www.team.net/archive

Unsubscribe/Manage: http://autox.team.net/mailman/options/triumphs/[email-masked]